# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KPopupAccelManager Class Reference

This class manages a popup menu. More...

`#include <kaccelmanager_private.h>`

Inheritance diagram for KPopupAccelManager:

[legend]
Collaboration diagram for KPopupAccelManager:

[legend]
List of all members.

## Static Public Member Functions

static void | manage (QPopupMenu *popup)

## Protected Member Functions

| KPopupAccelManager (QPopupMenu *popup)

## Detailed Description

This class manages a popup menu.

It will notice if entries have been added or changed, and will recalculate the accelerators accordingly.

This is necessary for dynamic menus like for example in kicker.

Author:
  Matthias H�zer-Klpfel <mhk@kde.org>

Definition at line 132 of file kaccelmanager_private.h.

The documentation for this class was generated from the following files:

- kaccelmanager_private.h
- kaccelmanager.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:55 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003